-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentGroupMembers")
L:RegisterTranslations("enUS", function() return {
	["Group Members"] = true,
	["Group Members and Pets"] = true,
	["Show Group Members"] = true,
	["Show Non-Group Members"] = true,
} end)

-----------------------------------------------------------------------------

local groupMemberNameList = { }
Assessment.ListType.GroupMembers = 
{
	method = function(fightData)
				for k in pairs(groupMemberNameList) do
					groupMemberNameList[k] = nil
				end
				
				for unit in Roster:IterateRoster() do
					groupMemberNameList[unit.name] = true
				end
				
				return pairs(groupMemberNameList)
			 end,
	data = "damage",
	description = L["Group Members"],
}

Assessment.ListType.GroupMembersAndPets = 
{
	method = function(fightData)
				for k in pairs(groupMemberNameList) do
					groupMemberNameList[k] = nil
				end
				
				for unit in Roster:IterateRoster(true) do
					groupMemberNameList[unit.name] = true
				end
				
				return pairs(groupMemberNameList)
			 end,
	data = "damage",
	description = L["Group Members and Pets"],
}

-----------------------------------------------------------------------------

Assessment.FilterType.GroupMembers =
{
	method		= function(data) return Roster:GetUnitIDFromName(data.key) end,
	description = L["Show Group Members"]
}

-----------------------------------------------------------------------------

Assessment.FilterType.NonGroupMembers =
{
	method		= function(data) return not Roster:GetUnitIDFromName(data.key) end,
	description = L["Show Non-Group Members"]
}

-----------------------------------------------------------------------------
